package grmi

type Field struct {
	Name             string
	ColumnName       string
	UrlParameterName string
	GoType           GoType
}

func NewField(name string, columnName string, urlParameterName string, goType GoType) Field {
	return Field{name, columnName, urlParameterName, goType}
}

func (field *Field) NewPredicate(predicateType func(Predicate) (string, error), values ...interface{}) Predicate {
	return NewPredicate(field.ColumnName, predicateType, values)
}
